\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
y_E(n) &= c \times x(n) + g \times y_E(n-M)
\\
y_O(n) &= c \times x(n) - g \times y_O(n-M)
\end{align*}





\end{document}